routes/web.php
<?php

Auth::routes();

Route::prefix('admin')->group( function() {
    Route::get('/order', 'AdminController@index')->name('admin.index');
    Route::post('/confirm', 'AdminController@updateConfirm')->name('admin.updateConfirm');
    Route::get('/orderdetail/{order}', 'AdminController@showOrderdetail')->name('admin.showOrderdetail');
    Route::get('/topup', 'AdminController@indexTopup')->name('admin.indexTopup');
    Route::post('/topup', 'AdminController@updateTopup')->name('admin.updateTopup');
    Route::get('/report', 'AdminController@reportIndex')->name('admin.reportIndex');
    Route::get('/memberlist', 'AdminController@memberIndex')->name('admin.memberIndex');
    Route::post('/user/{user}', 'AdminController@deleteUser')->name('admin.deleteUser');

});

Route::resource('product', 'ProductController');
Route::get('product/{slug}', 'ProductController@show')->name('product.show');

Route::get('/add-to-cart/{slug}', 'ProductController@AddToCart')->name('product.AddToCart');
Route::get('/cart', 'ProductController@GetCart')->name('product.GetCart');
Route::post('/updatecart', 'ProductController@updateCart')->name('product.updateCart');
Route::post('/destroycart/{product}', 'ProductController@destroyCart')->name('product.destroyCart');
Route::post('/checkout', 'ProductController@checkout')->name('product.checkout');
Route::get('/checkout', 'ProductController@checkoutIndex')->name('product.checkoutIndex');
Route::get('/mypurchase', 'ProductController@myPurchase')->name('product.myPurchase');
Route::get('/topup', 'ProductController@topupIndex')->name('product.topupIndex');
Route::post('/topup', 'ProductController@topupStore')->name('product.topupStore');


Route::prefix('profile')->group( function() {
    Route::get('', 'ProfileController@index')->name('profile.index');
    Route::get('/{user}', 'ProfileController@edit')->name('profile.edit');
    Route::post('/{user}', 'ProfileController@update')->name('profile.update');
});

Route::get('/report', 'ReportController@reportForm')->name('report.reportForm');
Route::post('/report', 'ReportController@reportStore')->name('report.reportStore');

app/Order.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Order extends Model
{
    protected $guarded = [];
    protected $attributes = [
        'status' => 0,
    ];

    public function users()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function products()
    {
        return $this->belongsToMany(Product::class)->withPivot('quantity', 'total_cost');
    }

    public function getUrlAttribute()
    {
        return route('admin.showOrderdetail', $this->id);
    }

}

resources/views/admin/member.blade.php
@extends('layouts.app')

@section('content')
    <div class="container">
        <div class="card">
            <div class="card-header">
                <h2>Report</h2>
            </div>
            <div class="card-body">
                <table class="table">
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Email</th>
                            <th>Credit (฿)</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($member as $item)
                            <tr>
                                <td>{{ $item->name }}</td>
                                <td style="width:50%">{{ $item->email }}</td>
                                <td>{{ number_format($item->credit) }}</td>
                                <td><a href="{{ route('profile.edit', $item->id)}}" class="btn btn-sm btn-outline-info">Edit</a></td>
                                <td>  
                                    @if ($item->roles[0]->id !== 2)
                                        <form class="form-delete" action="{{ route('admin.deleteUser', $item->id)}}" method="post">
                                            @csrf
                                            <button type="submit" class="btn btn-sm btn-outline-danger" onclick="return confirm('Are you sure?')">Delete</button>
                                        </form>
                                    @endif
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
        <div class="text-center">
            {{ $member->links() }}
        </div>
    </div>
@endsection

resources/views/admin/order_confirm.blade.php
@extends('layouts.app')
@section('style')
    <style>
        .switch {
        position: relative;
        display: inline-block;
        width: 40px;
        height: 20px;
        }

        /* Hide default HTML checkbox */
        .switch input {
        opacity: 0;
        width: 0;
        height: 0;
        }

        /* The slider */
        .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #ccc;
        -webkit-transition: .4s;
        transition: .4s;
        }

        .slider:before {
        position: absolute;
        content: "";
        height: 12px;
        width: 12px;
        left: 2px;
        bottom: 4px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
        }

        input:checked + .slider {
        background-color: #77c44c;
        }

        input:focus + .slider {
        box-shadow: 0 0 1px #77c44c;
        }

        input:checked + .slider:before {
        -webkit-transform: translateX(24px);
        -ms-transform: translateX(24px);
        transform: translateX(24px);
        }

        /* Rounded sliders */
        .slider.round {
        border-radius: 34px;
        }

        .slider.round:before {
        border-radius: 50%;
        }
    </style>
@endsection

@section('content')
<div class="container">
    <div class="mb-5">
        <h1>Order</h1>
    </div>
    <div>
        <table class="table cart-table mb-5">
            <thead class="black">
                <tr>
                    <th>Username</th>
                    <th>Address</th>
                    <th>Order date</th>
                    <th>Status</th>
                    <th>&nbsp;</th>
                </tr>
            </thead>
            <tbody>
            @foreach ($orders as $key => $order)
                    <tr>
                        <td>
                            <span style="color:#000000; font-weight: bold;">
                                {{$order->users->name}}
                            </span>
                        </td>
                        <td>
                            <span style="color:#000000; font-weight: bold;">
                                {{ $order->address }}
                            </span>
                        </td>
                        <td>
                            <span style="color:#000000; font-weight: bold;">
                                {{$order->created_at}}
                            </span>
                        </td>
                        <td>
                            <span style="color:#000000; font-weight: bold;">
                                @if ($order->status ===1)
                                    <span style="color:#000000; font-weight: bold;">
                                        Confirm
                                    </span>
                                @else
                                    <span style="color:#000000; font-weight: bold;">
                                        Pending
                                    </span>
                                @endif
                            </span>
                        </td>
                        <td>
                            <a class="btn btn-outline-success btn-sm" href="{{ $order->url }}" role="button">
                                <i class="fa fa-file-text-o" aria-hidden="true"></i>
                            </a>
                        </td>
                    </tr>
            @endforeach
            </tbody>
        </table>
    </div>
        
        <div class="text-center">
            {{ $orders->links() }}
          </div>
    </div>
@endsection

resources/views/admin/report.blade.php
@extends('layouts.app')

@section('content')
    <div class="container">
        <div class="card">
            <div class="card-header">
                <h2>Report</h2>
            </div>
            <div class="card-body">
                <table class="table">
                    <thead>
                        <tr>
                            <th>Title</th>
                            <th>Description</th>
                            <th>Report by</th>
                            <th>Report date</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($report as $item)
                            <tr>
                                <td>{{ $item->title }}</td>
                                <td style="width:50%">{{ $item->body }}</td>
                                <td>{{ $item->users->name }}</td>
                                <td>{{ $item->created_at }}</td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
        <div class="text-center">
            {{ $report->links() }}
        </div>
    </div>
@endsection

resources/views/admin/showOrderdetail.blade.php
@extends('layouts.app')
@section('style')
    <style>
        .switch {
        position: relative;
        display: inline-block;
        width: 40px;
        height: 20px;
        }

        /* Hide default HTML checkbox */
        .switch input {
        opacity: 0;
        width: 0;
        height: 0;
        }

        /* The slider */
        .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #ccc;
        -webkit-transition: .4s;
        transition: .4s;
        }

        .slider:before {
        position: absolute;
        content: "";
        height: 12px;
        width: 12px;
        left: 2px;
        bottom: 4px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
        }

        input:checked + .slider {
        background-color: #77c44c;
        }

        input:focus + .slider {
        box-shadow: 0 0 1px #77c44c;
        }

        input:checked + .slider:before {
        -webkit-transform: translateX(24px);
        -ms-transform: translateX(24px);
        transform: translateX(24px);
        }

        /* Rounded sliders */
        .slider.round {
        border-radius: 34px;
        }

        .slider.round:before {
        border-radius: 50%;
        }
    </style>
@endsection

@section('content')
<div class="container">
    <div class="mb-5">
        <h1>Order Detail</h1>
    </div>
    <p><strong>Username: </strong> {{ $order->users->name}}</p>
    <p><strong>Address: </strong> {{ $order->address}}</p>
        <div class="d-flex">
            <div class="mr-auto">
                <strong>Order at: </strong> {{ date('d-F-Y', strtotime($order->created_at)) }}
            </div>
            <label class="switch">
                <input type="checkbox" class="confirm" @if ($order->status === 1) checked @endif>
                <span class="slider round"></span>
            </label>
                @if ($order->status === 1)
                    <span class="text-danger status"> Confirm</span>
                @else
                    <span class="text-danger status"> Pending</span>
                @endif
        </div>
        <table class="table cart-table mb-5">
            <thead class="black">
                <tr>
                    <th colspan="2" class="product-name">Product</th>
                    <th>price</th>
                    <th>Quantity</th>
                    <th width="12%">Subtotal</th>
                    <th>&nbsp;</th>
                </tr>
            </thead>
            <tbody>
            @foreach ($order->products as $item)
                <tr>
                    <td>
                        <img src="/storage/images/{{$item->image_file}}" class="img-fluid" style="max-width: 168px;">
                    </td>
                    <td style="width:50%">
                            <h4 class="text-md-left"> {{$item->title}}</h3>
                    </td>
                    <td>
                        <span style="color:#000000; font-weight: bold;">
                            ฿ {{ number_format($item->price) }}
                        </span>
                    </td>
                    <td>
                        <span style="color:#000000; font-weight: bold;">
                            {{$item->pivot->quantity}}
                        </span>
                    </td>
                    <td>
                        <span style="color:#000000; font-weight: bold;">
                            ฿ {{ number_format($item->pivot->total_cost) }}
                        </span>
                    </td>
                </tr>
            @endforeach
        </tbody>
        <tfoot>
            <tr >
                <td colspan="6">
                    <div class="d-flex justify-content-end">
                        <p>
                            Total: &nbsp;     
                            <span style="font-size:1.875rem;">
                                ฿ {{  number_format($order->products->sum('pivot.total_cost')) }}
                            </span>
                        </p>
                    
                    </div>
                </td>
            </tr>
        </tfoot>
    </table>
</div>
@endsection
@section('js')
    <script type="text/javascript">
        $(document).ready(function() {
            $(".confirm").on("click", function(){
                console.log('test')
                save({{$order->id}});
            });
            
            function save(id){
                let action = $(".confirm").is(':checked') ?  1 : 0;
                $.ajax({
                    url : "{{ route('admin.updateConfirm') }}",
                    type : "POST",
                    data : {
                            id : id,
                            action : action,
                    },
                    headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }, 
                    success : function(data) {
                        let action = data.msg.action > 0 ? "Confirm" : "Pending";
                        $(".status").text(action);
                    },
                })
            }
        });
        
    </script>
@endsection

resources/views/admin/topup_confirm.blade.php
@extends('layouts.app')
@section('style')
    <style>
        .switch {
        position: relative;
        display: inline-block;
        width: 40px;
        height: 20px;
        }

        /* Hide default HTML checkbox */
        .switch input {
        opacity: 0;
        width: 0;
        height: 0;
        }

        /* The slider */
        .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #ccc;
        -webkit-transition: .4s;
        transition: .4s;
        }

        .slider:before {
        position: absolute;
        content: "";
        height: 12px;
        width: 12px;
        left: 2px;
        bottom: 4px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
        }

        input:checked + .slider {
        background-color: #77c44c;
        }

        input:focus + .slider {
        box-shadow: 0 0 1px #77c44c;
        }

        input:checked + .slider:before {
        -webkit-transform: translateX(24px);
        -ms-transform: translateX(24px);
        transform: translateX(24px);
        }

        /* Rounded sliders */
        .slider.round {
        border-radius: 34px;
        }

        .slider.round:before {
        border-radius: 50%;
        }
    </style>
@endsection

@section('content')
<div class="container">
    <div class="mb-5">
        <h1>Top-up Order</h1>
    </div>
        <table class="table cart-table mb-5">
            <thead class="black">
                <tr>
                    <th>Username</th>
                    <th>Order at</th>
                    <th width="50%">price</th>
                    <th>&nbsp;</th>
                </tr>
            </thead>
            <tbody>
    @foreach ($carts as $cart)
            @foreach ($cart->products as $item)
                <tr>
                    <td style="width:30%">
                        <span class="text-md-left"> {{$cart->users->email}}</span>
                    </td>
                    <td style="width:30%">
                            <span class="text-md-left"> {{ date('d-F-Y', strtotime($cart->created_at)) }}</span>
                    </td>
                    <td>
                        <span style="color:#000000; font-weight: bold;">
                            ฿ {{ number_format($item->pivot->total_cost) }}
                        </span>
                    </td>
                    <td>
                        <label class="switch">
                            <input type="checkbox" class="confirm{{ $cart->id }}" @if ($cart->status === 1) checked @endif>
                            <span class="slider round"></span>
                        </label>
                        @if ($cart->status === 1)
                            <span class="text-danger status{{ $cart->id }}"> Confirm</span>
                        @else
                            <span class="text-danger status{{ $cart->id }}"> Pending</span>
                        @endif
                    </td>
                </tr>
            @endforeach
    @endforeach
            </tbody>
        </table>

        <div class="text-center">
            {{ $carts->links() }}
          </div>
</div>
@endsection
@section('js')
    <script type="text/javascript">
        $(document).ready(function() {
            @foreach ($carts as $cart)
            $(".confirm{{$cart->id}}").on("click", function(){
                save({{$cart->id}});
            });
            @endforeach

            function save(id){
                let action = $(".confirm"+id).is(':checked') ?  1 : 0;
                $.ajax({
                    url : "{{ route('admin.updateTopup') }}",
                    type : "POST",
                    data : {
                            id : id,
                            action : action,
                    },
                    headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }, 
                    success : function(data) {
                        let action = data.msg.action > 0 ? "Confirm" : "Pending";
                        $(".status"+data.msg.id).text(action);
                        console.log(data.msg.credit)
                    },
                })
            }
        });
        
    </script>
    
@endsection